Subject: Re: [PATCH 3/3] t0000: drop "known breakage" test

From: Jonathan Nieder <[email-masked]>
Date: Sat, 28 Dec 2013 12:51:04 -0800

Jeff King wrote:

> I am not _that_ bothered by the "known breakage", but AFAICT there is
> zero benefit to keeping this redundant test.

Devil's advocate: it ensures that anyone wrapping git's tests (like
the old smoketest infrastructure experiment) is able to handle an
expected failure.

But in practice I don't mind the behavior before or after this patch.
If the test harness is that broken, we'll know.  And people writing
code that wraps git's tests can write their own custom sanity-checks.